import { createRouter, createWebHashHistory } from 'vue-router';

import allMedia from "./allMedia";

import NotFound from "../errorPage/404.vue";

const router = createRouter({
  history: createWebHashHistory(process.env.BASE_URL),
  routes: [
    // 搞钱校对-全媒体平台
    {
      path: '/Home',
      name: 'Home',
      component: () =>
        import(/* webpackChunkName: "Home" */ '../view/onlineText.vue'),
    },
    ...allMedia,
    {
        path: "/:pathMatch(.*)*",
        name: "NotFound",
        component: NotFound
    }
  ],
});

export default router;
